Name:		netsniff-ng
Version:	0.5.5.0
Release:	3%{?dist}
Summary:	A high performance network sniffer for packet inspection
Group:		Applications/Internet
License:	GPLv2+
URL:		http://netsniff-ng.org/
Source0:	http://www.netsniff-ng.org/pub/netsniff-ng/netsniff-ng-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts

%description
netsniff-ng is a high performance linux network sniffer for packet
inspection. Basically, it is similar to tcpdump, but it doesn't need one
syscall per packet. Instead, it uses an memory mapped area within kernelspace
for accessing packets without copying them to userspace (zero-copy mechanism).

This tool is useful for debugging your network, measuring performance
throughput or creating network statistics of incoming packets on central
network nodes like routers or firewalls.

#We no longer need the service stuff as daemon mode has gone away.
%pre
if [ $1 -gt 1 ]; then
    /sbin/service %{name} stop >/dev/null 2>&1
    /sbin/chkconfig --del %{name}
fi

%prep
%setup -q -n %{name}

%build
pushd src
make  %{?_smp_mflags}		\
	CFLAGS="%{optflags}" \
	BINDIR="%{_sbindir}"		\
	ETCDIR="%{_sysconfdir}"		\
	MANDIR="%{_mandir}/man8"
popd


%install
rm -rf $RPM_BUILD_ROOT
pushd src
make DESTDIR="$RPM_BUILD_ROOT" install \
	 CFLAGS="%{optflags}"		\
	 BINDIR="%{_sbindir}"		\
	 ETCDIR="%{_sysconfdir}"	\
	 MANDIR="%{_mandir}/man8"
chmod 0644 $RPM_BUILD_ROOT/%{_mandir}/man8/%{name}.8*
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc AUTHORS CHANGELOG COPYING CREDITS README TODO
%{_sbindir}/%{name}
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/rules
%config(noreplace) %{_sysconfdir}/%{name}/rules/*.bpf
%{_mandir}/man8/%{name}.8*

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Nov 03 2010 James Findley <sixy@gmx.com> - 0.5.5.0-2
- Fixed packaging bug
- Fixed URL

* Tue Nov 02 2010 James Findley <sixy@gmx.com> - 0.5.5.0-1
- Updated to 0.5.5.0 stable
- This version has major changes, including the removal of  daemon mode.

* Tue Feb 23 2010 James Findley <sixy@gmx.com> - 0.5.5.0-0.4.211svn
- Improved the way sources are provided
- Used the upstream copy of 0.5.3 for check_packets, with a patch

* Wed Feb 17 2010 James Findley <sixy@gmx.com> - 0.5.5.0-0.3.211svn
- Added the check_packets client app:
 - This makes the unix domain socket actually useful
 - This is taken from the 0.5.3 sources, but with a modified makefile

* Sun Feb 14 2010 James Findley <sixy@gmx.com> - 0.5.5.0-0.2.211svn
- Patched the UDS server
- Patched the help text to correctly mark features not yet implemented
- Added BuildRequires and Requires

* Wed Jan 27 2010 James Findley <sixy@gmx.com> - 0.5.5.0-0.1.211svn
- Prerelease of 0.5.0
- Should now work properly on older (e.g. RHEL 5.x) OSes
- Many new features added

* Fri Jan 08 2010 James Findley <sixy@gmx.com> - 0.5.4.1-5
- Added -Wno-format to hide spurious gcc warnings on AMD64

* Thu Jan 07 2010 James Findley <sixy@gmx.com> - 0.5.4.1-4
- Fixed a few typos in the spec
- Zero padded changelog dates

* Thu Jan 07 2010 James Findley <sixy@gmx.com> - 0.5.4.1-3
- Fixed a few more spec errors

* Thu Jan 07 2010 James Findley <sixy@gmx.com> - 0.5.4.1-2
- Adapted for Fedora packaging policy
- Added an initscript

* Wed Jan 06 2010 James Findley <sixy@gmx.com> - 0.5.4.1-1
- Updated to latest stable upstream

* Mon Nov 27 2009 James Findley	<sixy@gmx.com> - 0.5.2-1
- Initial Release

